import { APIResource } from "../resource.js";
import * as Core from "../core.js";
export declare class VideoUpscale extends APIResource {
    /**
     * This endpoint will start a new task to upscale a video. Videos will be upscaled
     * by a factor of 4X, capped at a maximum of 4096px along each side.
     */
    create(body: VideoUpscaleCreateParams, options?: Core.RequestOptions): Core.APIPromise<VideoUpscaleCreateResponse>;
}
export interface VideoUpscaleCreateResponse {
    /**
     * The ID of the newly created task.
     */
    id: string;
}
export interface VideoUpscaleCreateParams {
    /**
     * The model variant to use.
     */
    model: 'upscale_v1';
    /**
     * A HTTPS URL pointing to a video or a data URI containing a video. The video must
     * be less than 4096px on each side. The video duration may not exceed 40 seconds.
     * See [our docs](/assets/inputs#videos) on video inputs for more information.
     */
    videoUri: string;
}
export declare namespace VideoUpscale {
    export { type VideoUpscaleCreateResponse as VideoUpscaleCreateResponse, type VideoUpscaleCreateParams as VideoUpscaleCreateParams, };
}
//# sourceMappingURL=video-upscale.d.ts.map